Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Function_Sm_in_Rd Class Reference

A class for the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space. More...

`#include <include/gudhi/Functions/Function_Sm_in_Rd.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain dimension. Same as the ambient dimension of the sphere.
std::size_t | cod_d () const
| Returns the codomain dimension. Same as the codimension of the sphere.
Eigen::VectorXd | seed () const
| Returns a point on the sphere.
| Function_Sm_in_Rd (double r, std::size_t m, std::size_t d, Eigen::VectorXd center)
| Constructor of the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space.
| Function_Sm_in_Rd (double r, std::size_t m, std::size_t d)
| Constructor of the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space centered at the origin.
| Function_Sm_in_Rd (double r, std::size_t m, Eigen::VectorXd center)
| Constructor of the function that defines an m-dimensional implicit sphere embedded in the (m+1)-dimensional Euclidean space.
| Function_Sm_in_Rd (double r, std::size_t m)
| Constructor of the function that defines an m-dimensional implicit sphere embedded in the (m+1)-dimensional Euclidean space centered at the origin.

## Detailed Description

A class for the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space.

Examples
  cell_complex_from_basic_circle_manifold.cpp, manifold_tracing_custom_function.cpp, and manifold_tracing_flat_torus_with_boundary.cpp.

## Constructor & Destructor Documentation

## Function_Sm_in_Rd() [1/4]

Gudhi::coxeter_triangulation::Function_Sm_in_Rd::Function_Sm_in_Rd | ( | double | r,
|  | std::size_t | m,
|  | std::size_t | d,
|  | Eigen::VectorXd | center )

inline

Constructor of the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space.

Parameters

  [in] | r | The radius of the sphere.
  [in] | m | The dimension of the sphere.
  [in] | d | The ambient dimension of the sphere.
  [in] | center | The center of the sphere.

## Function_Sm_in_Rd() [2/4]

Gudhi::coxeter_triangulation::Function_Sm_in_Rd::Function_Sm_in_Rd | ( | double | r,
|  | std::size_t | m,
|  | std::size_t | d )

inline

Constructor of the function that defines an m-dimensional implicit sphere embedded in the d-dimensional Euclidean space centered at the origin.

Parameters

  [in] | r | The radius of the sphere.
  [in] | m | The dimension of the sphere.
  [in] | d | The ambient dimension of the sphere.

## Function_Sm_in_Rd() [3/4]

Gudhi::coxeter_triangulation::Function_Sm_in_Rd::Function_Sm_in_Rd | ( | double | r,
|  | std::size_t | m,
|  | Eigen::VectorXd | center )

inline

Constructor of the function that defines an m-dimensional implicit sphere embedded in the (m+1)-dimensional Euclidean space.

Parameters

  [in] | r | The radius of the sphere.
  [in] | m | The dimension of the sphere.
  [in] | center | The center of the sphere.

## Function_Sm_in_Rd() [4/4]

Gudhi::coxeter_triangulation::Function_Sm_in_Rd::Function_Sm_in_Rd | ( | double | r,
|  | std::size_t | m )

inline

Constructor of the function that defines an m-dimensional implicit sphere embedded in the (m+1)-dimensional Euclidean space centered at the origin.

Parameters

  [in] | r | The radius of the sphere.
  [in] | m | The dimension of the sphere.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Function_Sm_in_Rd::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Function_Sm_in_Rd.h